Subject: [Teas] Comments about draft-ietf-teas-yang-path-computation

From: Zhenghaomian <[email-masked]>
Date: Fri, 28 Feb 2020 09:55:59 +0000

Hi, Authors, WG,

We have been reviewing the document (-08), and would like to share with you about the following comments:

1.       The concept of path computation data model and the PCE should be orthogonal, i.e., we should avoid misleading that the path computation data model must be achieved via PCEP, especially among controllers; please help clarify if this understanding is correct;

2.       Section 3.3 mentions the 'stateless' and 'stateful' path computation respectively, but the term is slightly confusing because it reminds people to use stateful/stateless PCEP to do the path computation work, which is actually just a sub-case in the path computation model. I think the motivation to have 'stateful/stateless' here is 'to plan the network with or without actually occupying any resources', so probably some alternative terminologies can be used. I don't have perfect term in my mind, but something like 'compute-reserve' and 'compute-only' may be helpful;

3.       Section 3.2 provides really detailed path computation policies, I know we have hard experience to achieve here. The content is clear but seems an overkill. Shall we leave some path computation principles here, and move the details as an example to some appendix?

Since there is also github about this work, the issues were listed as https://github.com/rvilalta/ietf-te-path-computation/issues/68 for your information as well. Thank you.

Haomian Zheng
PhD,
Principle Standard Delegate for Transport & Access Software,
Huawei Technologies Co., Ltd.
Tel : +86 13066975206
Email : [email-masked]

This e-mail and its attachments contain confidential information from HUAWEI, which is intended only for the person or entity whose address is listed above. Any use of the information contained herein in any way (including, but not limited to, total or partial disclosure, reproduction, or dissemination) by persons other than the intended recipient(s) is prohibited. If you receive this e-mail in error, please notify the sender by phone or email immediately and delete it!